@font-face {
font-family: ati816;
src:url(Px437_ATI_8x16PL.ttf);
}
/* ========== BASIC ============  */

html {
    /* variables */
    --theme-bg:   #000;
    --theme-bg-l: #333;
    --theme-fg: lime;
    --theme-hg: #fff; /*highlight*/

    --padding: 0.5em;
    --padding-content: 1.0em; 
    --sidebar-width: 17em;



}

/* ====  general setup ========= */

body {
    background-image: url("http://kucykon.pl/media/back.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-color: var(--theme-bg);
    color:            var(--theme-fg);
    font-size: 1.0em;
    font-family: ati816;
    letter-spacing: -.2px;

    min-height: 110%;
    margin: var(--padding);
    
    white-space: normal !important;
    word-wrap: break-word;
}


/* ============ two column layout======== */

.sidebar {
    position: fixed;
    top: var(--padding);
    bottom: 0;
    left: var(--padding);
    right: calc(100% - var(--sidebar-width) + var(--padding));

}
main {
    position: absolute;
    left: calc(var(--sidebar-width) + var(--padding));
    top: var(--padding);
    right: var(--padding);
    bottom: var(--padding);
}


@media screen and (max-width: 600px) {
    .sidebar {
        position: static;
        min-width: 48%;
        display: grid;
        grid-template-columns: auto;
        grid-gap: 15px;
        margin-bottom: 2em
    }  
    main {
        position: static;
    }
}



/* ============ site naviagation  details ============ */


.site-nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    color: var(--theme-fg);
}
.site-nav > ul a {
    padding-left: 0.5em;
}
.site-nav > ul ul a {
    padding-left: 1em;
}

.site-nav a {
    display: block;
}

.site-nav a:link {
    text-decoration: none;
    color: white;
}
.site-nav:hover a:hover {
    color: var(--theme-hg);
}

a:hover {
    color: yellow;
}

/* ==================== window ================ */
.window {
    border: 1px solid var(--theme-fg);
    border-collapse: collapse;
    box-shadow: 0 0 14px 2px  var(--theme-fg);
    background-color: rgba( 0,0,0, 0.4 );
}
.window > header {
    margin: 0;
    padding: 0.2em;
    padding-left: 0.5em;
    padding-right: 0.5em;

    background-color: var(--theme-fg);
    color: var(--theme-bg);
}

.window > header:after {
    content: "-";
    color: var(--theme-bg);
    float: right;
}

.window-content {
    padding-left: var(--padding);
    padding-right: var(--padding);
    padding-top: var(--padding-content);
    padding-bottom: var(--padding-content);
}

.yellow_color_window {
    --theme-fg: yellow;
    color: yellow;
}

.red_color_window {
    --theme-fg: red;
    color: red;
}

/* =================== main =========== */
main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-items: center;
}
main > * {
    width: 100%;
    max-width: 120%;
    margin-bottom: 0.5em;
}


/* ============ sidebar ================= */
.sidebar > * {
    margin-bottom: 1.0em;
}
.sidebar > * > header {
    text-align: center;
}

/* every element but the header in every child of sidebar but the first */
.sidebar > :first-child ~ * > header ~ *{
    text-align: center;
}

/* ============== site description ============ */
.site-description header ~ * {
    text-align: center;
    padding: 0.5em;
}
.site-description img {
    max-width: 29vw;
    margin: auto;
    display: block;
}


/* ========= featured post ================= */

.featured-post header ~ * {
  padding: 0.5em;
}


/* ========= input ================= */

input {
    background-color: black;
    color: pink;
    border: 1px solid var(--theme-fg);
}
input:hover{
    box-shadow: 0 0 6px 2px  var(--theme-fg);
}
input:focus {
    box-shadow: 0 0 6px 2px  var(--theme-fg);
}
button:hover {
    box-shadow: 0 0 6px 2px  var(--theme-fg);
}

textarea {
    background-color: black;
    color: lime;
    border: 1px solid var(--theme-fg);
}
textarea:hover {
    box-shadow: 0 0 6px 2px  var(--theme-fg);
}


/* ========= other ================= */

.breakw { 
    word-wrap: break-word;
}

/* ========= login ================= */

.centerall {
    margin-left: auto;
    margin-right: auto;
    width: 10em
}
a {
    color: yellow;
}
a:hover {
    color: red;
}
